Subject: 24.3.50; mysterious, uncalled-for point movement when exit minibuffer

From: "Drew Adams" <[email-masked]>
Date: Sat, 26 Jan 2013 09:44:33 -0800

Sorry, but I cannot give a recipe to repro this yet.
 
Somehow, it is suddenly the case (with my setup, but only with
recent builds, perhaps just the latest I have, 2013-01-25 -
that's where I noticed it) that with even something as simple as
M-x forward-char or M-: (forward-char), and even if I use C-g to
cancel such (e.g., just M-x C-g), point gets moved to another
location.  I need not hit C-g - the same thing happens with
M-x forward-char RET.
 
The location seems unpredictable, and I don't know what makes it change.
It is not the mark, in any case.  And this happens even with Icicle mode
turned off (I mention that because Icicles has its own M-x and M-:.)
 
And it doesn't matter how I set point - mouse-1 or C-f etc.
And it does not matter whether I set mark at point.  Something makes
exiting from the minibuffer warp point to another location.
The target location stays the same, but something (dunno what)
can make it change to a different mysterious location.
 
If I scroll the window so the mysterious target location is off
window, the cursor still gets warped to it (and thus the window is
scrolled to show it).
 
HTH.  Sorry I don't have more info about this yet.
Anyone else seeing anything like this?
 
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-01-25 on ODIEONE
Bzr revision: 111604 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'